Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.inject
Class ContainerImpl.ConstructorInjector<T>

    java.lang.Object
      com.opensymphony.xwork2.inject.ContainerImpl.ConstructorInjector<T>

Enclosing class:
  ContainerImpl

    static class ContainerImpl.ConstructorInjector<T>

extends Object

Field Summary
`(package private) Constructor<T>` | `constructor`
`(package private) Class<T>` | `implementation`
`(package private) List<ContainerImpl.Injector>` | `injectors`
`(package private) ContainerImpl.ParameterInjector<?>[]` | `parameterInjectors`

Constructor Summary
`ContainerImpl.ConstructorInjector(ContainerImpl container, Class<T> implementation)`

Method Summary
`(package private) Object` | `construct(InternalContext context, Class<? super T> expectedType)` Construct an instance.
`private Constructor<T>` | `findConstructorIn(Class<T> implementation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### implementation

    final Class<T> implementation

### injectors

    final List<ContainerImpl.Injector> injectors

### constructor

    final Constructor<T> constructor

### parameterInjectors

    final ContainerImpl.ParameterInjector<?>[] parameterInjectors

Constructor Detail

### ContainerImpl.ConstructorInjector

    ContainerImpl.ConstructorInjector(ContainerImpl container,
                                      Class<T> implementation)

Method Detail

### findConstructorIn

    private Constructor<T> findConstructorIn(Class<T> implementation)

### construct

    Object construct(InternalContext context,
                     Class<? super T> expectedType)

  Construct an instance. Returns `Object` instead of `T` because it may return a proxy.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.